#!/bin/sh
echo 'name: hashed-storage
version: 0.5.10
id: hashed-storage-0.5.10-5c280c111d360054efd0096bb1e9c979

license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
stability:
homepage:
package-url:
synopsis: Hashed file storage support code.
description: Support code for reading and manipulating hashed file storage
             (where each file and directory is associated with a
             cryptographic hash, for corruption-resistant storage and fast
             comparisons).
             .
             The supported storage formats include darcs hashed pristine, a
             plain filesystem tree and an indexed plain tree (where the index
             maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules: Storage.Hashed Storage.Hashed.AnchoredPath
                 Storage.Hashed.Index Storage.Hashed.Monad Storage.Hashed.Tree
                 Storage.Hashed.Hash Storage.Hashed.Packed Storage.Hashed.Plain
                 Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/hashed-storage-0.5.10
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/hashed-storage-0.5.10
              /usr/local/lib
hs-libraries: HShashed-storage-0.5.10
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         binary-0.5.1.0-9002afa60235020869a5f21683c71666
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce
         dataenc-0.14.0.5-d1612412f0a61b74c7d261b131b72302
         directory-1.1.0.2-9e375ee7bfb1a0ae28bfd926af73e15a
         extensible-exceptions-0.1.1.4-3d9bd197c43329612c640f24179a7f19
         filepath-1.3.0.0-f998e5510c76a98913f57b14b4f16c57
         mmap-0.5.8-dcb687314753249bcc4f29183a3df103
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         zlib-0.5.4.0-f9a7b27d857d3e506b8524567650abc8
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/hashed-storage-0.5.10/html/hashed-storage.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/hashed-storage-0.5.10/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
